<template>
  <div class="clock-app container has-text-centered" :class="name">
    <transition-group :name="transition">
      <h1 key="time" class="subtitle is-1 hour t-white" v-show="ready && showTime">{{hours}}:{{minutes}}<span class="fotmat subtitle is-4 t-white">{{format}}</span></h1>
      <h1 key="date" class="subtitle is-1 date t-white" v-show="ready && showDate">{{date}}</h1>
    </transition-group>
  </div>
</template>

<script>
export default {
  name: 'clockApp',
  props: {
    name: {
      type: String,
      default: ''
    },
    languaje: {
      type: String,
      default: 'EN'
    },
    type: {
      type: String,
      default: '12'
    },
    showDate: {
      type: Boolean,
      default: true
    },
    showTime: {
      type: Boolean,
      default: true
    },
      transition: {
      type: String,
      default: ""
    }
  },
  data() {
    return {
      monthNames: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
      date: '',
      hours: '',
      minutes: '',
      format: '',
      ready: false
    }
  },
  created: function() {
    this.getDate();
    setInterval(this.getTime, 1000);
  },
  methods: {
    getDate: function() {
      var d = new Date();
      this.date = this.monthNames[d.getMonth()] + " " + d.getDate() + ", " + d.getFullYear();
    },
    getTime: function() {
      var d = new Date();
      var hours = d.getHours();
      var minutes = d.getMinutes();
      this.format = hours <= 11 ? 'AM' : 'PM';
      this.hours = hours % 12;
      this.minutes = minutes < 10 ? "0" + minutes : minutes;
      this.ready = true;
    }
  }
}
</script>

<style scoped lang="scss">
.clock-app{
  .hour {
    font-size: 10rem;
    line-height: 10rem;
  }
}
</style>
